Subject: 24.0.50; bidi: lines starting with neutral types have the wrong base direction?

From: Thamer Mahmoud <[email-masked]>
Date: Wed, 8 Sep 2010 11:39:06 +0300

While investigating a crash I came across this problem.

By default in Emacs, lines starting with Other Neutral types (in this
case `*') seem to be following the direction of the line before them,
and perhaps not being considered as separate paragraphs. This makes
Emacs display files differently than the output of fribidi (gedit,
etc).

For example, I have a file with the following content:

* ARABIC
* abcdef

I'd expect to see:

                             CIBARA *
* abcdef                             

But in Emacs it's shown as:

                             CIBARA *
                             abcdef *

Another example is:

* First
[BLANK_LINE]
ARABIC
* Second

What I expect:

* First
[BLANK_LINE]
                               CIBARA
* Second

What is shown in Emacs:

* First
[BLANK_LINE]
                               CIBARA
                             Second *

This seems like a bug to me.

Tests were done using -Q --eval "(setq-default bidi-display-reordering t)".
In GNU Emacs 24.0.50.6 (i686-pc-linux-gnu, GTK+ Version 2.20.1)
 of 2010-09-07

Thanks.

--
Thamer